<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
		<!-- ==================================== -->
		<!-- El formulario principal de la pagina -->
		<!-- ==================================== -->
		<form-bean
				name="w83bRegistroDefinitivo"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bRegistroDefinitivoBean" type="w83b.w83bBeans.W83bRegistroDefinitivoBean"/>
		</form-bean>
		
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bRegistroDefinitivo[w83bRegistroDefinitivoBean]"/>	
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.utilidades"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.registroDefinitivo.regdefmasivo"/>			   
				<form-property name="migas" type="java.lang.String" initial ="inicio.utilidades.registro"/>
				<form-property name="w83bRegistroDefinitivoBean" type="w83b.w83bBeans.W83bRegistroDefinitivoBean"/>
				<form-property name="w83bTerritorio" type="java.lang.String"/>
				<form-property name="w83bNumRegistro" type="java.lang.String"/>
				<form-property name="w83bResultadoRegistroDefinitivo" type="java.util.HashMap"/>
				<form-property name="w83bMRegDef" type="java.util.HashMap"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="fr" type="java.lang.String"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="errordeshacerregistro" type="java.lang.String" initial="0"/>
				<form-property name="w83bMapRegistroDefinitivo" type="java.util.HashMap"/>
		</form-bean>
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bInicioRegistroDefinitivo" forward="paginaRegistroDefinitivo"/>
				
		<action
				path ="/w83bInicioUtilidades" forward="/w83bPaginaInicioUtilidades.do"/>
				
		<action
				path ="/w83bPaginaInicioUtilidadesMedio" forward="paginaInicioUtilidadesComun"/>
		
		<!-- ======== -->
		<!-- Entradas -->
		<!-- ======== -->
		
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
			<action
				path="/w83bRegistroDefinitivo"
				name="w83bRegistroDefinitivo"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="exportarTablaActas"
					path="/w83bTablaActasExcel.do"/>
				<forward
					name="w83bModificarRegistro"
					path="/w83bModificarRegistro.do"/>
				<forward
					name="deshacerRegistroExcel"
					path="/w83bDeshacerRegistroExcel.do"/>
				<forward
					name="regCambiarEstadoInc"
					path="/w83bRegCambiarEstadoInc.do"/>
			</action>
			
			<action path="/w83bPaginaInicioUtilidades" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bPaginaInicioUtilidadesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaInicioUtilidadesMedio.do"/>
			<forward name="error" path="/w83bInicioUtilidades.do"/>
		</action>
			
		<action path="/w83bComprobarFechaRegistroOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bComprobarFechaRegistroOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bComprobarFechaRegistroOI.do"/>
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path ="/w83bComprobarFechaRegistroOI" 
			 parameter="w83bComprobarFechaRegistroOI" 
			 validate="false"  
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComprobarFechaRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bComprobarFechaRegistroOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bComprobarFechaRegistroOutOPAction" 
			 validate="false">
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path="/w83bCalcularNumeroRegistroOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bCalcularNumeroRegistroOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCalcularNumeroRegistroOI.do"/>
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path ="/w83bCalcularNumeroRegistroOI" 
			 parameter="w83bCalcularNumeroRegistroOI" 
			 validate="false"  
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCalcularNumeroRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bCalcularNumeroRegistroOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bCalcularNumeroRegistroOutOPAction" 
			 validate="false">
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path="/w83bRealizarRegistroDefinitivoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bRealizarRegistroDefinitivoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bRealizarRegistroDefinitivoOI.do"/>
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path ="/w83bRealizarRegistroDefinitivoOI" 
			 parameter="w83bRealizarRegistroDefinitivoOI" 
			 validate="false"  
			 input="/w83bInicioAnyadirAgrupacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaActasExcel.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bTablaActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bTablaActasOPAction" 
			 validate="false">
			<forward name="find" path="/w83bConsultarActas.do"/>
			<!--<forward name="find" path="/w83bTablaActasOutOP.do"/>-->
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
			<forward name="outPut" path="/w83bTablaActasOutOP.do"/>
		</action>
		
		<action path ="/w83bConsultarActas" 
			 parameter="w83bConsultarActasRegistroDefinitivoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaActasOutOP.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bTablaActasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bTablaActasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioRegistroDefinitivo.do"/>
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path="/w83bTablaActasExcel" 
		name="w83bRegistroDefinitivo" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bTablaActasExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bDeshacerRegistroExcel" 
		name="w83bRegistroDefinitivo" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bDeshacerRegistroExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bCalcularNumeroActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bCalcularNumeroActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bConsultarActasPrimero.do"/>
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		
		<action path ="/w83bDeshacerRegistro" 
			 parameter="w83bDeshacerRegistroOI" 
			 validate="false" 
			 input="/w83bInicioRegistroDefinitivo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDeshacerRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bDeshacerRegistroOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bDeshacerRegistroOutOPAction" 
			 validate="false">
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>
		<action path ="/w83bModificarRegistro" 
			 parameter="w83bModificarRegistroOI" 
			 validate="false" 
			 input="/w83bInicioRegistroDefinitivo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioRegistroDefinitivo.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path ="/w83bRegCambiarEstadoInc" 
			 parameter="w83bRegCambiarEstadoIncOI" 
			 validate="false" 
			 input="/w83bInicioRegistroDefinitivo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioRegistroDefinitivo.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path ="/w83bConsultarActasPrimero" 
			 parameter="w83bConsultarActasRegistroDefinitivoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaSindicatosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCalcularNumeroActasOutOP.do" />
					<forward name="error" path="/w83bInicioRegistroDefinitivo.do" />
		</action>
		
		<action path="/w83bCalcularNumeroActasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bCalcularNumeroActasOutOPAction" 
			 validate="false">
			<forward name="error" path="/w83bInicioRegistroDefinitivo.do"/>
		</action>

	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-motivosbajaacta.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>